<template>
  <div class="card m-4">
    <div class="card-header d-flex align-items-center" style="background: #fff">
      <h3 class="card-title">Team {{ user.name }}</h3>
    </div>
    <div class="card-body">
      <div class="row m-0">
        <table class="table table-striped table-bordered box-table m-0">
          <thead>
            <tr>
              <th scope="col">ID</th>
              <th scope="col">Name</th>
              <th scope="col">Email</th>
              <th scope="col">Phone</th>
              <th scope="col">Gender</th>
              <th scope="col">Address</th>
              <th scope="col">Roles</th>
              <th class="col-1" scope="col">Action</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(user, index) in userList" :key="index">
              <td>{{ user.id }}</td>
              <td>
                {{ user.name }}
              </td>
              <td>{{ user.email }}</td>
              <td>{{ user.phone }}</td>
              <td>{{ getNameGenderById(user.gender) }}</td>
              <td>{{ user.address }}</td>
              <td>{{ getNameRoleById(user.roles) }}</td>
              <td class="text-center">
                <button
                  class="btn btn-outline-danger me-1 px-2 py-1"
                  @click="onDelete(user.id)"
                >
                  <font-awesome-icon far icon="trash-alt" />
                </button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
import { ROLE, GENDER, API_USER,API_TEAM, API_LIST_USER_BY_TEAM } from '~/assets/contants/contant.js'
export default {
  data() {
    return {
      userList: [],
      user: [],
    }
  },
  props: {
    idTeam: null,
  },
  methods: {
    async getListUserByTeam() {
      this.userList = await this.$axios.$get(
        API_LIST_USER_BY_TEAM + this.idTeam
      )
       console.log(this.userList);
    },
    async getUserByTeam() {
      this.user = await this.$axios.$get(API_TEAM + this.idTeam);
    },
    getNameGenderById(genderId) {
      const gender = GENDER.find((gender) => gender.id == genderId)
      return gender && gender.name
    },

    getNameRoleById(roleId) {
      const role = ROLE.find((role) => role.id == roleId)
      return role && role.name
    },

    async onDelete(id) {
      if (confirm('Are you sure?')) {
        await this.$axios.$delete(API_USER + id)
        this.$emit('onDelete')
      }
    },
  },
  watch: {
    idTeam() {
     this.getListUserByTeam();
     this.getUserByTeam();
    }
  },
  mounted() {
   
    this.getListUserByTeam();
    this.getUserByTeam();
  },
}
</script>

<style></style>
